SharedGalleryImagesOperations Class

SharedGalleryImagesOperations async operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
SharedGalleryImagesOperations

Constructor

SharedGalleryImagesOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

get

Get a shared gallery image by subscription id or tenant id.

list

List shared gallery images by subscription id or tenant id.

get

Get a shared gallery image by subscription id or tenant id.

async get(location: str, gallery_unique_name: str, gallery_image_name: str, **kwargs: Any) -> azure.mgmt.compute.v2021_07_01.models._models_py3.SharedGalleryImage

Parameters

location
str
Required

Resource location.

gallery_unique_name
str
Required

The unique name of the Shared Gallery.

gallery_image_name
str
Required

The name of the Shared Gallery Image Definition from which the Image Versions are to be listed.

cls
callable

A custom type or function that will be passed the direct response

Returns

SharedGalleryImage, or the result of cls(response)

Return type

Exceptions

list

List shared gallery images by subscription id or tenant id.

list(location: str, gallery_unique_name: str, shared_to: Optional[Union[str, azure.mgmt.compute.v2021_07_01.models._compute_management_client_enums.SharedToValues]] = None, **kwargs: Any) -> AsyncIterable[azure.mgmt.compute.v2021_07_01.models._models_py3.SharedGalleryImageList]

Parameters

location
str
Required

Resource location.

gallery_unique_name
str
Required

The unique name of the Shared Gallery.

shared_to
str or SharedToValues
default value: None

The query parameter to decide what shared galleries to fetch when doing listing operations.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either SharedGalleryImageList or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.compute.v2021_07_01.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\compute\\v2021_07_01\\models\\__init__.py'>